PackagerCacheEntry
Date: 2014-12-13

org.apache.ivy.plugins.resolver.packager

## Class PackagerCacheEntry

- java.lang.Object
- - org.apache.ivy.plugins.resolver.packager.PackagerCacheEntry

-     public class PackagerCacheEntry
      extends java.lang.Object

  Represents one entry in the cache of a `PackagerResolver`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackagerCacheEntry(ModuleRevisionId mr, java.io.File rootDir, java.io.File resourceCache, java.lang.String resourceURL, boolean validate, boolean preserve, boolean restricted, boolean verbose, boolean quiet)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(Resource packagerResource, java.util.Map properties)` Attempt to build this entry.
    `boolean` | `cleanup()`
    `protected void` | `finalize()`
    `ResolvedResource` | `getBuiltArtifact(Artifact artifact)` Get a built artifact.
    `boolean` | `isBuilt()` Has this entry been successfully built?
    `protected void` | `saveFile(java.lang.String name)`
    `protected void` | `saveFile(java.lang.String name, java.io.InputStream input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackagerCacheEntry

          public PackagerCacheEntry(ModuleRevisionId mr,
                            java.io.File rootDir,
                            java.io.File resourceCache,
                            java.lang.String resourceURL,
                            boolean validate,
                            boolean preserve,
                            boolean restricted,
                            boolean verbose,
                            boolean quiet)

  - ### Method Detail

    - #### build

          public void build(Resource packagerResource,
                   java.util.Map properties)
                     throws java.io.IOException

      Attempt to build this entry.
      Parameters:
        `packagerResource` - packager metadata resource
        `properties` - a map of properties to pass to the child Ant build responsible for dependency packaging
      Throws:
        `java.lang.IllegalStateException` - if this entry has already been built
        `java.io.IOException`

    - #### isBuilt

          public boolean isBuilt()

      Has this entry been successfully built?

    - #### getBuiltArtifact

          public ResolvedResource getBuiltArtifact(Artifact artifact)

      Get a built artifact.
      Throws:
        `java.lang.IllegalStateException` - if this entry's built has not (yet) completed successfully

    - #### cleanup

          public boolean cleanup()

    - #### saveFile

          protected void saveFile(java.lang.String name,
                      java.io.InputStream input)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### saveFile

          protected void saveFile(java.lang.String name)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`